# Method: projects.datasets.get

- [HTTP request](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/get#body.request_body)
- [Response body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/get#body.response_body)
- [Authorization Scopes](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/get#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/get#body.aspect_1)

Get the dataset.

### HTTP request

`GET https://mapsplatformdatasets.googleapis.com/v1alpha/{name=projects/*/datasets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name. projects/{project}/datasets/{dataset_id} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets#Dataset`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `mapsplatformdatasets.datasets.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).